# NumberPicker demo

- order: 0

包含onChange、step,error 样式等。

---

````js

/** @jsx createElement */
import {createElement, Component,render } from 'rax';
import View from 'nuke-view';
import Text from 'nuke-text';
import Page from 'nuke-page';
import NumberPicker from 'nuke-number-picker';
import { StyleProvider } from 'nuke-theme-provider';


let App = class NukeDemoIndex extends Component {
    constructor() {
        super();
    }
    changeHandle=(e)=>{
        console.log(e);
    }
    render() {
      return (
        <StyleProvider androidConfigs={{materialDesign:true}}>
          <Page title="Number Picker">
            <Page.Intro main="基础用法"></Page.Intro>
            <View style={styles.npwrapper}><NumberPicker min={1} max={10} defaultValue={2} onChange={this.changeHandle} step={3}/></View>
          </Page>
        </StyleProvider>
      );
    }
}
const styles={
    npwrapper:{
        width:300,
        padding:40
    }
}
render(<App/>);

````
